•  Previous
  • 1
  • 157
  • 158
  • 159(current)
  • 160
  • 161
  • 189
  • Next 
 
Thread Rating:
  • 11 Vote(s) - 4.27 Average
Release - YouTube Plug-in Thread
Hi,

I installed the YouTube plugin on Kodi 17.2 (Raspberry Pi 2, xbian fully up to date).

I followed the assistant, and configured as best as I could (20 s caching, no fan art)

I can watch only a few videos before the addon crashes the Rapsberry Pi 2, then there is nothing to do except removing power and pluging power again.

This also happens when I'm browsing a list of videos. Sometimes, it will crash.

Is this a known problem ? Is there a fix ? Why does the crashing of the plugin results in the crashing of the whole system, and can it not be contained to the plugin itself ?

NB: I have a very good fiber Internet connection and can watch 4K YouTube videos without problems on my PC with Chrome or .Vivaldi.

Thanks,
Sil
Reply
I am on kodi 17.3 on windows and have been using the youtube plug in for quite awhile with no issues. Now if I play any hd videos, they stop after a few seconds and start buffering and often don't start back up. Same videos play fine through browser. Anyone have any suggestions? I updated the plugin to latest.
Reply
(2017-05-29, 14:54)sssscary Wrote: I am on kodi 17.3 on windows and have been using the youtube plug in for quite awhile with no issues. Now if I play any hd videos, they stop after a few seconds and start buffering and often don't start back up. Same videos play fine through browser. Anyone have any suggestions? I updated the plugin to latest.

I just tried the alpha posted earlier, seems to have fixed my problem
Reply
Hello,

is .13 official now ? i see some changes 6 days ago to make .13 official but i dont see it in download section.
Reply
I've pushed 5.3.13 to the local repository. Also note i removed my name as an author because i don't contribute to the code.
Reply
Thanks jdf76! Is there a link to the .zip? The first post seems not updated...
Light IMDb Ratings Update - Keep updated the IMDb ratings for your Movies and TV Shows.
In case you found useful my work, feel free to offer me a cappuccino!
Reply
I updated the first page but https://github.com/jdf76/plugin.video.yo...tag/5.3.13

Jeff
Reply
I have some cryptography python error I use ubuntu 16.04 LTS kodi 17.1 python 2.7.12 cryptography 1.2.1 , addon = YouTube (5.3.13~alpha6)

Log here https://pastebin.com/hVEynGxk

EDIT : I need to update my kodi to 17.3 I will come back after I test again

EDIT: after I updated kodi to 17.3 I have new error old errors from the log are no more
now there is only 1 error :

19:55:56.340 T:139717685950208 ERROR: /mnt/home/profile/.kodi/addons/script.module.requests/lib/requests/packages/urllib3/connectionpool.py:843: InsecureRequestWarning: Unverified HTTPS request is being made. Adding certificate verification is strongly advised. See: https://urllib3.readthedocs.io/en/latest...l-warnings
InsecureRequestWarning)

EDIT again when I updated Kodi I forgot to add API details and login and after I made all necessary things I received the same errors from the log I provided in the first place... there is something wrong with python or cryptography I don't know I have on my Windows PC Kodi 17.3 with youtube plugin working without any problems but on Linux is not working for me from a very long time maybe since version 5.3.8 Sad
Reply
I am running into the same problem with plugin version 5.3.13... The cryptography error is not in raised by the Youtube plugin itself as can be seen in the path - it is raised by the Requests module. As I assumed it to have been caused by the outdated 6.x version of OpenELEC running on my mediacenter, I just updated it to version 8.0.3 hoping it would fix it (I assumed 6.x was using older SSL libraries than 8.x).

Unfortunately, this did not resolve the fault and it still raises below error:
Code:
ERROR: /storage/.kodi/addons/script.module.requests/lib/requests/packages/urllib3/connectionpool.py:843: InsecureRequestWarning: Unverified HTTPS request is being made. Adding certificate verification is strongly advised. See: https://urllib3.readthedocs.io/en/latest/advanced-usage.html#ssl-warnings

The plugin is working fine, if I send a youtube link directly it just starts playing as normal. I just cannot browse anything (e.g. my subscriptions) in the Youtube plugin due to this. Is there something funky going on with the way the Youtube plugin invokes the Requests module? Or is this a fault in the Requests plugin that has not shown up before?

(Note: I have not noticed it updating the youtube plugin, so I cannot tell if the issue started right after the update or if it was present before the update)
Using Kodi/OpenELEC on a Raspberry Pi3 rev1.2 with a Sony KDL-42W706B and an external audio receiver
Reply
My "My Subscriptions" is also showing blank data.
Not sure if it's related to the new update, but it looks like it is.
Reply
(2017-05-30, 20:16)Smultie Wrote: My "My Subscriptions" is also showing blank data.
Not sure if it's related to the new update, but it looks like it is.

If you check your Kodi log, you may be able to find out if it's caused by the same error Smile
Where your log is located depends on your system. OpenELEC has it here:
Code:
/storage/.kodi/temp/kodi.log
Using Kodi/OpenELEC on a Raspberry Pi3 rev1.2 with a Sony KDL-42W706B and an external audio receiver
Reply
Getting segmentation fault.

[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
Core was generated by `/usr/lib/x86_64-linux-gnu/kodi/kodi.bin'.
Program terminated with signal SIGSEGV, Segmentation fault.
#0 0x00007fa1d8e32ef7 in RAND_cleanup () from /lib/x86_64-linux-gnu/libcrypto.so.1.0.0
[Current thread is 1 (Thread 0x7fa19bcce700 (LWP 27171))]
Reply
You'll probably have to clear your settings and log in again.
Reply
(2017-05-30, 20:49)jdf76 Wrote: You'll probably have to clear your settings and log in again.

Thank you for your feedback. I'm going to give it a rest for a while, maybe try again after an official update is posted. The zip file update you provided sort of works: sometimes I get an error, sometimes I don't. For now I've uninstalled Youtube and all other addons which depend on it.

I sort of wish Team Kodi would take on the Youtube project, to be included by default in every Kodi install. But I can also see the dangers of that.

Thank you again for your involvement. ~James
Reply
Will the Unofficial version be getting bumped to v5.3.13 ?

BTW: Thanks for all the effort to keep YT constantly improving Nod
::  LibreELEC 8.1.2 - Generic x86_64  ::  Intel 847 NUC  ::  KVR1333D3S9/4G  ::  Kingston SMS200S3/30G mSATA  ::  MS 1044 MCE keyboard  ::  GP-IR02BK remote  ::  Xonfluence  ::  10.9TiB on FreeNAS v11.0-U4 (RAID-Z2)  ::
Reply
  •  Previous
  • 1
  • 157
  • 158
  • 159(current)
  • 160
  • 161
  • 189
  • Next 



YouTube Plug-in Thread4.2711